#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,q;
    cin >> n;
    int x[n];
    for(int i=1;i<=n;i++)
    {
        cin >> x[i];
    }
    cin >> q;
    string izlaz[q];
    int l[q],r[q];

    for(int i=1;i<=q;i++)
    {
        cin >> l[i] >> r[i];
        int suma=0;
        if(l[i]==r[i])izlaz[i] = "DA";
        else
        {

            for(int j=r[i];j>l[i];j--)
            {
                if(x[j]<x[j-1])suma++;
            }
            if(suma==0)izlaz[i] = "DA";
            else if(suma==1)izlaz[i] = "PROMENI";
            else izlaz[i] = "NE";
        }
        cout << suma << endl;
    }



    for(int i=1;i<=q;i++)
    {
        cout << izlaz[i] << endl;
    }


    return 0;
}